### Function

# GLib Sequence remove

since: 2.14

#### Declaration

    void
    g_sequence_remove (
      GSequenceIter* iter
    )

#### Description

Removes the item pointed to by `iter`. It is an error to pass the end iterator to this function.

If the sequence has a data destroy function associated with it, this function is called on the data for the removed item.

Available since: 2.14

#### Parameters

`iter`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.